Subject: Re: Getting ntxlib to work with cygwin
From: [email-masked] (Joop van de Wege)

14 Nov 1997 00:54:09 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: 7bit
To: [email-masked]
Cc: [email-masked]

On Thu, 13 Nov 1997 16:26:44 GMT
[email-masked] wrote:

> One member of this mailing list suggested ntxlib as a possible basis for
> non X-server Xlib development.  I downloaded the last version of
> ntxlib.zip, several years old, dusted out its cobwebs, and got the
> following when I tried to compile the test program.  (Oh yes, it wouldn't
> compile with the cygwin <sys/types.h> for some reason, so I substituted a
> <sys/types.h> from another compiler.)
> 
> bash$ ls -l
> total 343
> -rw-r--r--   1 500      everyone      334 Nov 13 11:18 Makefile
> -rw-r--r--   1 500      everyone   231715 Feb 16  1994 OVERVIEW.DOC
> -rw-r--r--   1 500      everyone      803 Nov 24  1992 README.TXT
> -rw-r--r--   1 500      everyone   196392 Nov 13 08:50 Xnt.h
> -rw-r--r--   1 500      everyone    40206 Nov 13 11:20 libX.a
> -rwxr-xr-x   1 500      everyone    63006 Nov 13 11:20 test.exe*
> -rw-r--r--   1 500      everyone     2000 Nov 13 11:16 tst.c
> -rw-r--r--   1 500      everyone     1545 Nov 13 11:20 tst.o
> -rw-r--r--   1 500      everyone   119917 Nov 13 10:19 xlib.c
> -rw-r--r--   1 500      everyone    37202 Nov 13 11:20 xlib.o
I found ntxlib also, compiled and ran the test program without problems,
but that is, I was using VC5.
It also appears that I got hold of a version with less files in the
archive.
Could you give an URL where to get this particalur archive you have been
using.

Thanks,

Joop

----
Joop van de Wege
Mobile Computing Consultants
+31 (0) 318 553292

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".